﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.801
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	Private fm As FirebaseMessaging
End Sub

Sub Service_Create
	fm.Initialize("fm")
End Sub

Public Sub SubscribeToTopics

	fm.SubscribeToTopic(Main.FBtopic)
	
End Sub

Sub Service_Start (StartingIntent As Intent)
	If StartingIntent.IsInitialized Then fm.HandleIntent(StartingIntent)
	Sleep(0)
	Service.StopAutomaticForeground 'remove if not using B4A v8+.
End Sub

Sub fm_MessageArrived (Message As RemoteMessage)
	Log("Message arrived")
	Log($"Message data: ${Message.GetData}"$)
	Dim n As Notification
	n.Initialize
	n.Icon = "icon"
	n.SetInfo(Message.GetData.Get("title"), Message.GetData.Get("body"), Main)
	n.Notify(1)
		
	LogColor( Message.GetData.Get("title"), Colors.blue)
	Dim MyStrBody As String = Message.GetData.Get("body")
	
	Dim arr() As String
	arr = Regex.Split(";",MyStrBody)
	For i = 0 To arr.Length - 1
		Log(arr(i))
		Dim MyID As String = (arr(0))
		Dim MyLastName As String = (arr(1))
		Dim MyFirstName As String = (arr(2))
		Dim MyAddress1 As String = (arr(3))
		Dim MyAddress2 As String = (arr(4))
		Dim MySuburb As String = (arr(5))
		Dim MyCity As String = (arr(6))
		Dim MyOccupation As String = (arr(7))
		Dim MyIncome As String = (arr(8))
		Dim MyCell As String = (arr(9))
		Dim MyEmail As String = (arr(10))
		Dim MyProduct As String = (arr(11))
		Dim MyLeadType As String = (arr(12))
		
		If (MyLeadType = "N") Then
			Dim MyAppDate As String = ""'(arr(13)) 'Filter for Normal Lead
			Dim MyAppTime As String = ""'(arr(14))
		End If
		If (MyLeadType = "H") Then
			Dim MyAppDate As String = (arr(13)) 'Filter for Normal Lead
			Dim MyAppTime As String = (arr(14))
		End If
	Next

	MyID = MyID.Trim
	If (MyLeadType = "H") Then
	Starter.db.ExecNonQuery2("INSERT INTO notify VALUES(?, ?, ?,?,?,?,?,?,?,?,?,?,?,?,?)", Array As Object(MyID,MyLastName,MyFirstName,MyAddress1,MyAddress2,MySuburb,MyCity,MyOccupation,MyIncome,MyCell,MyEmail,MyProduct,MyLeadType, MyAppDate,MyAppTime))
	End If
	If (MyLeadType = "N") Then
		Starter.db.ExecNonQuery2("INSERT INTO notify VALUES(?, ?, ?,?,?,?,?,?,?,?,?,?,?,?,?)", Array As Object(MyID,MyLastName,MyFirstName,MyAddress1,MyAddress2,MySuburb,MyCity,MyOccupation,MyIncome,MyCell,MyEmail,MyProduct,MyLeadType))
	End If

	CallSubDelayed(Starter, "readNotify")

End Sub

Sub Service_Destroy

End Sub
